#ifndef MINORI_SERVICES_SERVICES_H_
#define MINORI_SERVICES_SERVICES_H_

#include "core/anime.h"
#include "core/date.h"

#include <string>
#include <vector>

namespace Services {

void Synchronize();

/* true = metadata was retrieved
 * false = metadata failed to be retrieved OR
 *         no metadata to be retrieved */
bool RetrieveAnimeMetadata(int id);

std::vector<int> Search(const std::string& search);
std::vector<int> GetSeason(Anime::SeriesSeason season, Date::Year year);
void UpdateAnimeEntry(int id);

}; // namespace Services

#endif // MINORI_SERVICES_SERVICES_H_
